Bug 1330079 - [RFE] gluster vfs plugin should be able to make use of multiple volfile server feature of gfapi
Summary: [RFE] gluster vfs plugin should be able to make use of multiple volfile serve...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: gluster-smb
Version: mainline
Hardware: All
OS: All
medium
medium
Target Milestone: ---
Assignee: Raghavendra Talur
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1330081 1386230
TreeView+ depends on / blocked
 
Reported: 2016-04-25 11:18 UTC by Raghavendra Talur
Modified: 2017-03-07 10:22 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1330081 (view as bug list)
Environment:
Last Closed: 2017-03-07 10:22:46 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Raghavendra Talur 2016-04-25 11:18:22 UTC
Description of problem:
Currently, gluster vfs plugin can take only one volfile server in config settings. Recently gfapi merged feature where in it allows one to specify multiple volfiles. We should make use of that feature in vfs plugin.

Comment 1 Anoop C S 2016-12-10 02:05:46 UTC
Corresponding fix[1] has been merged in Samba upstream sometime back. There changing the bug status.

[1] https://git.samba.org/?p=samba.git;a=commit;h=857745655bd29656de3b0f96765d6b65221f3a3e

Comment 2 Anoop C S 2017-03-07 10:22:46 UTC
Samba 4.6.0 has been released[1] with the required fix mentioned in c#1

[1] https://www.samba.org/samba/history/samba-4.6.0.html


Note You need to log in before you can comment on or make changes to this bug.